Announcement

Collapse
No announcement yet.

UT2k3 or UT2k4

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • UT2k3 or UT2k4

    As I understand it, either one should work. Just to make sure, however, there will be NO difference in play of NB depending on which one I have, right?

    And you arn't going to do anything that could limit play to only UT2k4ers, right?
    Garlisk's Fantasy Art Gallery
    www.usyetzer.com

  • #2
    i belive you wont be able to play nightblade 2k3 on a server of 2k4...not sure about it ..but logically i think it can't work...though it gonna be easy to port the mod to unreal 2k4...im pretty sure you wont be able to play with 2k3 on a 2k4 server so i belive its the same for nightblade.

    so im not sure...personally i would wait for 2k4...though i don't know if the release date of 2k4 gonna change again so you got to make your own choice here.

    Comment


    • #3
      But, what is the real difference between UT2K3 and UT2K4? I just thought they added new maps and bonus packs to UT2K4...

      Comment


      • #4
        I hope thats not how it works

        PS. Mod, I think its a slightly different engine. Also, there are vehicles.
        Garlisk's Fantasy Art Gallery
        www.usyetzer.com

        Comment


        • #5
          Perhaps the first version of NB is for ut2k3 and then it'll be updated to ut2k4....
          That would have the disadvantage of buying both games...

          Comment


          • #6
            As far as I know, 2k3 people will be able to join 2k4 servers, so long as the server isn't running content from 2k4 (maps, gametypes etc.) I see no reason why Nightblade won't work.
            It's not my fault everything you like is terrible.

            Comment


            • #7
              It will work with both. 2K4 will be backwards compatible with 2K3, so there will be no need to buy both.

              However, if 2K4 has new content and that is used in NB, that will be required by anyone who has 2K3. That shouldn't be a problem for those who bought 2K3 though, because of the rebate. Also, nothing from NB uses bonus pack material.

              Comment


              • #8
                Originally posted by Nachimir
                Also, nothing from NB uses bonus pack material.
                NO GOD DAMN BONUS PACKS IN THIS BAR!!1!!!11!!

                </Dalai>

                Comment


                • #9
                  i don't understand how this will work...i heard there is new sound for weapon(and that's only 1 of many feature they have modified)...according to want i know fo the unreal engine you cant play on the same server with the same file(modified) it cause mismatch...personally i don't care cause i have 2k3 and will buy 2k4 but i just don't understand ...please explain to me how this is possible ?

                  Comment


                  • #10
                    Firstly, Epic are releasing a patch for UT2k3 when they release UT2k4. This patch will fix any backwards compatibility problems as well as some other bugs (which we need fixed to do some Nightblade stuff).

                    In answer to your dilemma, SmithWessun, there IS actually a way to make packages that allow people with older versions to not mis-match. Only Epic can do this in Ut2k3/4, however.
                    Immortius' Forge

                    Comment


                    • #11
                      Great. All I care about is Nightblade PERIOD, and as long as I can play that, I'm happy.

                      Thanks for the responses guys.
                      Garlisk's Fantasy Art Gallery
                      www.usyetzer.com

                      Comment


                      • #12
                        About 2004, I'm kinda doubting that very much got changed. Just browse your way to C:\ut2003\maps and double click on VehicleDemo.ut2. Interesting, no?
                        My feet, zey ache...

                        Comment


                        • #13
                          Originally posted by Koiu Lpoi
                          About 2004, I'm kinda doubting that very much got changed. Just browse your way to C:\ut2003\maps and double click on VehicleDemo.ut2. Interesting, no?

                          Comment


                          • #14
                            UT03 or UT04? IMHO, Blackcat should start developing Nightblade for Q4!
                            "Garlisk's got a lov-el-y bunch of coconuts."

                            Comment


                            • #15
                              I think we won't have much problem with ut2k4. Don't worry about it, deal with it when it comes. I think it's basically a repackaging with a new bonus pack. Anyways, if you head over to http://www.unrealtournament.com/ and look at some of the 2k4 pics and movies, do you think they stole any ideas from Halo?
                              My feet, zey ache...

                              Comment

                              Working...
                              X